Bug 1709594 - Backport repos.git support from upstream
Summary: Backport repos.git support from upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: lorax
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Brian Lane
QA Contact: Release Test Team
Eliane Ramos Pereira
URL:
Whiteboard:
Depends On: 1715540
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-13 22:21 UTC by Brian Lane
Modified: 2019-11-05 20:43 UTC (History)
6 users (show)

Fixed In Version: lorax-28.14.30-1
Doc Type: Enhancement
Doc Text:
.Support for the `pass:[repo.git]` section to blueprints is now available A new `pass:[repo.git]` blueprint section allows users to include extra files in their image build. The files must be hosted in git repository that is accessible from the `lorax-composer` build server.
Clone Of:
Environment:
Last Closed: 2019-11-05 20:42:55 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3328 None None None 2019-11-05 20:43:06 UTC

Description Brian Lane 2019-05-13 22:21:18 UTC
Backport the lorax-composer blueprint's repos.git support

http://weldr.io/lorax/lorax-composer.html#repos-git

Comment 4 Brian Lane 2019-06-20 17:45:04 UTC
https://github.com/weldr/lorax/pull/772

Comment 16 Alexander Todorov 2019-09-04 08:59:16 UTC
Tested with lorax-composer-28.14.30-1.el8.x86_64 and it looks good. Also there's an extensive test coverage for this feature so moving to VERIFIED.

Comment 18 errata-xmlrpc 2019-11-05 20:42:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3328


Note You need to log in before you can comment on or make changes to this bug.